<?php
/*
*	<id>chenzhen:snowflakesSMF</id>
*	<name>Snowflakes</name>
*	<type>modification</type>
*/

/*
 * Snowflakes display Modification for SMF forums c/o Chen Zhen @ https://web-develop.ca
 * Copyright 2014 - 2023
 * This software package is distributed under the GNU Lesser General Public License version 3 ( https://opensource.org/licenses/lgpl-3.0.html )
*/

global $helptxt, $txt;

// Help text common
$txt['permissionhelp_snowflakes_no_view'] = 'Disable this modification for specific membergroup(s).';
$txt['permissionhelp_snowflakes_profile_view'] = 'Allow specific membergroup(s) to have the option to disable Snowflakes in their profile.';
$helptxt['snowflakes_prefs_help'] = 'This will disable Snowflakes for your user id.';
$helptxt['snowflakes_prefs_mod_help'] = 'This will disable Snowflakes for this specific user\'s id.';
$helptxt['snowflakesEnable'] = 'Opt whether to Enable or Disable the modification.';
$helptxt['snowflakesMobileDisable'] = 'Opt whether to disable on mobile devices';
$helptxt['snowflakesTabletDisable'] = 'Opt whether to disable on tablet devices';
$helptxt['snowflakesHideTranslate'] = 'Opt to hide the Google Translate Toolbar which may conflict with various snowflakes/lights scripts.';
$helptxt['snowflakesType'] = 'Opt one of the various script types.<br />Each script will display some specific options.';
$helptxt['snowflakesFiles'] = 'If the main jQuery library is already loaded from another script, it may be necessary to disable this option.';
$helptxt['snowflakesAppend'] = 'By default (option unchecked) the jQuery library and/or plugin script will be loaded within the &lt;head&gt; of the HTML document.<br />If another jQuery script is called within the document this may cause this script to fail.<br />For that reason this option is provided to allow loading of the jQuery library and/or plugin script within the &lt;body&gt; element.';
$helptxt['snowflakesAdminArea'] = 'Enabling this option will allow the images/characters to show within the Admin->Modifications Settings->Snowflakes area.<br />(ie. for testing purposes)';
$helptxt['snowflakes_no_view'] = 'This will disable the viewing of images/characters for the selected membergroup(s).';
$helptxt['snowflakes_profile_view'] = 'Allow specific membergroup(s) to have the option to disable Snowflakes in their profile.';
$helptxt['snowflakesDefaults'] = 'If this box is checked, all settings will be set to defaults for this specific plugin.';
$helptxt['snowflakesRandom'] = 'Enable which scripts will be applied towards a random option.';
$helptxt['snowflakesAll'] = 'This allows you to select which script(s) may be executed at random.<br />Opting no scripts will default to the first one that is listed.';
$helptxt['snowflakesDisableIds'] = 'Light effects will be disabled when the user puts the mouse over css id\'s listed here.<br />Multiple id\'s can be listed separated by a comma.';
$helptxt['snowflakesDisableClasses'] = 'Light effects will be disabled when the user puts the mouse over css classes listed here.<br />Multiple classes can be listed separated by a comma.';
$helptxt['snowflakesActions'] = 'Snowflakes will be disabled for any SMF actions and/or subactions listed here.<br />Usage: | for OR, ~ for AND<br />Examples (do not include quotation marks):<br />"arcade" means action=arcade will disable<br />"arcade|play" means action=arcade;sa=play - either action -OR- subaction will disable<br />arcade~play" means action=arcade;sa=play - both action -AND- subaction combined will disable<br />This may be necessary for specific actions that cause conflicts due to JQuery/javascript functions.<br />Multiple actions~subactions can be listed so long as they are separated by a comma. ';
$helptxt['snowflakesNavMenu'] = 'Opt whether to disable when the cursor is on the navigation menu for light effects.';
$helptxt['snowflakesSearch'] = 'Opt whether to disable when the cursor is on search for light effects.';
$helptxt['snowflakesUserMenu'] = 'Opt whether to disable when cursor is on user options for light effects.';
$helptxt['snowflakesDisableRange'] = 'Light effects will be disabled when the user puts the mouse over the top of the view screen vertically ranging from 1 to this number (0 will disable - 999 max).';
$helptxt['snowflakesIgnoreRange'] = 'This will ignore the range setting when the "Xmas Lights" script is being used. You may want to opt the top offset setting for that script when this option is checked.';

// Help text specific
$helptxt['snowflakesMinSize0'] = 'Opt the minimum size of the images.';
$helptxt['snowflakesMaxSize0'] = 'Opt the maximum size of the images.';
$helptxt['snowflakesMinSize1'] = 'Opt the minimum size of the images.';
$helptxt['snowflakesMaxSize1'] = 'Opt the maximum size of the images.';
$helptxt['snowflakesMinSize2'] = 'Opt the minimum size of the images.';
$helptxt['snowflakesMaxSize2'] = 'Opt the maximum size of the images.';
$helptxt['snowflakesMinSize4'] = 'Opt the minimum size of the images.';
$helptxt['snowflakesMaxSize4'] = 'Opt the maximum size of the images.';

$helptxt['snowflakesMinSpeed1'] = 'Opt the minimum speed of the images.<br />Higher values may use more hardware resources.';
$helptxt['snowflakesMaxSpeed1'] = 'Opt the maximum speed of the images.<br />Higher values may use more hardware resources.';
$helptxt['snowflakesMinSpeed2'] = 'Opt the minimum speed of the images.<br />Higher values may use more hardware resources.';
$helptxt['snowflakesMaxSpeed2'] = 'Opt the maximum speed of the images.<br />Higher values may use more hardware resources.';
$helptxt['snowflakesMinSpeed3'] = 'Opt the minimum speed of the images.<br />Higher values may use more hardware resources.';
$helptxt['snowflakesMaxSpeed3'] = 'Opt the maximum speed of the images.<br />Higher values may use more hardware resources.';
$helptxt['snowflakesMaxSpeed5'] = 'Opt the maximum speed of the images.<br />Higher values may use more hardware resources.';

$helptxt['snowflakesNewOn0'] = 'Opt the density of the images.<br />This results in how many images will be displayed at once.';
$helptxt['snowflakesNewOn1'] = 'Opt the density of the images.<br />This results in how many images will be displayed at once.';
$helptxt['snowflakesNewOn2'] = 'Opt the density of the images.<br />This results in how many images will be displayed at once.';
$helptxt['snowflakesNewOn3'] = 'Opt the density of the images.<br />This results in how many images will be displayed at once.';
$helptxt['snowflakesNewOn4'] = 'Opt the density of the images.<br />This results in how many images will be displayed at once.';
$helptxt['snowflakesNewOn5'] = 'Opt the density of the images.<br />This results in how many images will be displayed at once.';

$helptxt['snowflakesFlakeColor0'] = 'Opt the color of the images.';
$helptxt['snowflakesFlakeColor1'] = 'Opt the color of the images.';
$helptxt['snowflakesFlakeColor2'] = 'Opt the color of the images.';
$helptxt['snowflakesFlakeColor3'] = 'Opt the color of the images.';

$helptxt['snowflakesInterval1'] = 'Opt the delay time for the sprites.<br />This results in frames per second.';
$helptxt['snowflakesInterval3'] = 'Opt the delay time for the sprites.<br />This results in frames per second.';
$helptxt['snowflakesInterval4'] = 'Opt the delay time for the sprites.<br />This results in frames per second.';
$helptxt['snowflakesInterval5'] = 'Opt the delay time for the sprites.<br />This results in frames per second.';

$helptxt['snowflakesFlakeCode1'] = 'Opt the character code to be used.<br />This will be used for the effect.';
$helptxt['snowflakesFlakeCode3'] = 'Opt the character code to be used.<br />This will be used for the effect.';
$helptxt['snowflakesFlakeCode4'] = 'Opt the character code to be used.<br />This will be used for the effect.';

$helptxt['snowflakesImage2'] = 'Select the image to be used.';
$helptxt['snowflakesImage5'] = 'Select the image to be used.';
$helptxt['snowflakesImage8'] = 'Select the image to be used.';

$helptxt['snowflakesCollection2'] = 'The ID or CLASS of the container that the effect will collect on.<br /><br />Class example: .example_class<br />ID example: #example_id<br /><br />NOTE:<br />If the container does not exist on the page, this option will cause the script to malfunction. You can leave this empty to disable collection.';

$helptxt['snowflakesTwinkle4'] = 'Enabling this option will cause a twinkle effect.';
$helptxt['snowflakesFollow4'] = 'Enable/Disable following of the mouse';
$helptxt['snowflakesMelt4'] = 'When recycling fallen images/characters (or rarely, when falling), have it "melt" and fade out if browser supports it';
$helptxt['snowflakesStick4'] = 'Whether or not images/characters should "stick" at the bottom. When off, will never collect.';
$helptxt['snowflakesMobile4'] = 'This plugin is likely to be bad news for mobile phones, their CPUs and batteries. It may be prudent to opt this setting (disabling usage on mobile phones).';

$helptxt['snowflakesTimeMin4'] = 'Select the minimum time each firework will be displayed.<br />(This must be greater than either explode time settings and less than the max time)';
$helptxt['snowflakesTimeMax4'] = 'Select the maximum time each firework will be displayed.<br />(This must be greater than either explode time settings and more than the min time)';
$helptxt['snowflakesExplodeTimeMin4'] = 'Select the minimum explode time for each firework.<br />(This must be less than either display time settings and less than the max explode time)';
$helptxt['snowflakesExplodeTimeMax4'] = 'Select the maximum explode time for each firework.<br />(This must be less than either display time settings and more than the min explode time)';

$helptxt['snowflakesFlicker5'] = 'For some scripts this option will allow you to configure how a sprite will flicker.<br />For others it will simply enable a twinkle effect.<br />0 will always disable this option.';
$helptxt['snowflakesWidth5'] = 'Select the width of the image being used (500 max).';
$helptxt['snowflakesHeight5'] = 'Select the height of the image being used (500 max).';

$helptxt['snowflakesOffset6'] = 'Some themes may have content at the top whereas you may wish to vertically adjust the lights container.<br />Enter a float value that will adjust the lights container vertically.<br />The input is measured in "em", positive & negative values are allowed for this setting.';
$helptxt['snowflakesContainerHeight6'] = 'This will be the container height for the Xmas lights measured in "em" as a float value.<br />The default value is 4.5em.';
$helptxt['snowflakesAuto6'] = 'When using the random option you may want this script to behave differently than the others as this script\'s jQuery routine can conflict with other jQuery/javascript routines.<br /><br />Enabling this checkbox will automatically set the <span class="error_message">Append to &#60;body&#62;</span> setting as enabled and the <span class="error_message">Admin View</span> setting as disabled for this script only not withstanding those same settings for other scripts.';

$helptxt['snowflakesOffset7'] = 'Some themes may have content at the top whereas you may wish to vertically adjust the lights container.<br />Enter a float value that will adjust the lights container vertically.<br />The input is measured in "em", positive & negative values are allowed for this setting.';
$helptxt['snowflakesContainerHeight7'] = 'This will be the container height for the Xmas light strands measured in "em" as a float value.<br />The default value is 4.5em.';
$helptxt['snowflakesAuto7'] = 'When using the random option you may want this script to behave differently than the others as this script\'s jQuery routine can conflict with other jQuery/javascript routines.<br /><br />Enabling this checkbox will automatically set the <span class="error_message">Append to &#60;body&#62;</span> setting as enabled and the <span class="error_message">Admin View</span> setting as disabled for this script only not withstanding those same settings for other scripts.';

$helptxt['snowflakesOffset8'] = 'Some themes may have content at the top whereas you may wish to vertically adjust the lights container.<br />Enter a float value that will adjust the lights container vertically.<br />The input is measured in "em", positive & negative values are allowed for this setting.';
$helptxt['snowflakesContainerHeight8'] = 'This will be the container height for the Xmas wired lights measured in "em" as a float value.<br />The default value is 4.5em.';
$helptxt['snowflakesAuto8'] = 'When using the random option you may want this script to behave differently than the others as this script\'s jQuery routine can conflict with other jQuery/javascript routines.<br /><br />Enabling this checkbox will automatically set the <span class="error_message">Append to &#60;body&#62;</span> setting as enabled and the <span class="error_message">Admin View</span> setting as disabled for this script only not withstanding those same settings for other scripts.';

?>