<?php
/*
*	<id>chenzhen:snowflakesSMF</id>
*	<name>Snowflakes</name>
*	<type>modification</type>
*/

/*
 * Snowflakes display Modification for SMF forums c/o Chen Zhen @ https://web-develop.ca
 * Copyright 2014 - 2023
 * This software package is distributed under the GNU Lesser General Public License version 3 ( https://opensource.org/licenses/lgpl-3.0.html )
*/

// Use this file by using SSI.php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
    require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
    die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s SSI.php.');

// determine SMF version
global $modSettings;
$version = version_compare((!empty($modSettings['smfVersion']) ? substr($modSettings['smfVersion'], 0, 3) : '2.0'), '2.1', '<') ? 'v2' : 'v2.1';

/* Insert integration hooks */
if ($version === 'v2.1')
{
    remove_integration_function('integrate_buffer', '$sourcedir/snowflakesSMF.php|smf_snowflakes_buffer');
    remove_integration_function('integrate_modify_modifications', '$sourcedir/snowflakesSMF.php|smf_snowflakes_mod');
    remove_integration_function('integrate_admin_areas', '$sourcedir/snowflakesSMF.php|smf_snowflakes_admin');
    remove_integration_function('integrate_load_permissions', '$sourcedir/snowflakesSMF.php|smf_snowflakes_permissions');
    remove_integration_function('integrate_pre_profile_areas', '$sourcedir/snowflakesSMF.php|smf_snowflakes_profile');
    remove_integration_function('integrate_pre_load', '$sourcedir/snowflakesSMF.php|smf_snowflakes_helpText');
}
else
{
    remove_integration_function('integrate_pre_include', '$sourcedir/snowflakesSMF.php');
    remove_integration_function('integrate_modify_modifications', 'smf_snowflakes_mod');
    remove_integration_function('integrate_admin_areas', 'smf_snowflakes_admin');
    remove_integration_function('integrate_load_permissions', 'smf_snowflakes_permissions');
    remove_integration_function('integrate_profile_areas', 'smf_snowflakes_profile');
    remove_integration_function('integrate_pre_load', 'smf_snowflakes_helpText');
	remove_integration_function('integrate_buffer', 'smf_snowflakes_buffer');
	remove_integration_function('integrate_load_theme', 'smf_snowflakes_post_preview');
}
?>